# Global




**Members:**

+ sheetPlugin

* * *

### loadImage(src) 

Loads image and returns promise.

**Parameters**

**src**: `string`, srouce of image

**Returns**: `promise`


### addCSSRule(rule) 

Allows add properties to inserted style tag.

**Parameters**

**rule**: `string`, css

**Returns**: `void`


### addPluginCSS(settings) 

Adds initial css for the plugin.

**Parameters**

**settings**: `object`, plugin settings

**Returns**: `void`


### imageMaskCropper(options, $element) 

Main imageMaskCropper class.

**Parameters**

**options**: `object`, plugin options

**$element**: `object`, jquery main image element

**Returns**: `object`, self instance


### changeImageMain(src) 

Changes imageMain src.

**Parameters**

**src**: `string`, Changes imageMain src.

**Returns**: `void | boolean`


### changeImageMaskAndItsOptions() 

Changes imageMask and maskOptions at once.

**Returns**: `void | boolean`


### changeImageMask(src) 

Changes imageMask src.

**Parameters**

**src**: `string`, Changes imageMask src.

**Returns**: `void | boolean`


### changeMaskOptions(maskOptions) 

Changes maskOptions.

**Parameters**

**maskOptions**: `object`, Changes maskOptions.

**Returns**: `void | boolean`


### getCropPosition() 

Gets coordinatates of crop.

**Returns**: `object`, crop dimensions in percentage.


### setCurrentCropPosition(diffPercentCoords) 

Sets current Crop position.

**Parameters**

**diffPercentCoords**: `object`, {x: percentValue, y: percentValue}

**Returns**: `void`


### enableCrop() 

Enables crop plugin option.

**Returns**: `void | boolean`


### disableCrop() 

Disables crop plugin option.

**Returns**: `void | boolean`


### imageMaskCropper(options) 

Plugin constructor.

**Parameters**

**options**: `object`, plugin options

**Returns**: `object`



* * *










